Subject: Re: Cannot indent fortran continue statement in emacs 23

From: Ushnish Basu <[email-masked]>
Date: Wed, 26 Aug 2009 09:59:21 -0700

Glenn Morris wrote:
> Please use M-x report-emacs-bug to report Emacs bugs, rather than
> sending mail to addresses in the source files.
> 
> 

My apologies - I thought of that after I sent off this email. I have now 
submitted a bug report directly, but I guess this bug was already filed 
as #4259, so the second bug would duplicate.

> Ushnish Basu wrote (on Tue, 25 Aug 2009 at 12:09 -0700):
> 
>> Currently I am using version 23.1.1, but I did not have this problem
>> with 23.0.60 from CVS.

[snip]

> 
> Do you have a minimum example of a valid Fortran file that fails in
> this way?
> 

The bug shows for the following program:

       subroutine first
       do 10 i=1,10
  10     continue
       end
       subroutine second
       do 20 i=1,100
  20     continue
       end

I sent the earlier invalid version just to highlight that it was the 
'end' statement that seemed to be making the difference.

I get the bug even in the current(?) CVS version 23.1.50.1

> The problem is another (see eg bug #2106) infinite loop in
> end-of-defun, when called from the start of the "20" line. It's not
> immediately obvious to me whether this is a problem in fortran-mode or
> in end-of-defun.

Thanks for your help.

Best regards,

Ushnish